package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Attributeuse generated by hbm2java
 */
@Entity
@Table(name="attributeuse"
    ,catalog="openbravopos"
    , uniqueConstraints = @UniqueConstraint(columnNames={"ATTRIBUTESET_ID", "LINENO"}) 
)
public class Attributeuse  implements java.io.Serializable {


     private String id;
     private Attribute attribute;
     private Attributeset attributeset;
     private Integer lineno;

    public Attributeuse() {
    }

	
    public Attributeuse(String id, Attribute attribute, Attributeset attributeset) {
        this.id = id;
        this.attribute = attribute;
        this.attributeset = attributeset;
    }
    public Attributeuse(String id, Attribute attribute, Attributeset attributeset, Integer lineno) {
       this.id = id;
       this.attribute = attribute;
       this.attributeset = attributeset;
       this.lineno = lineno;
    }
   
     @Id 

    
    @Column(name="ID", unique=true, nullable=false)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ATTRIBUTE_ID", nullable=false)
    public Attribute getAttribute() {
        return this.attribute;
    }
    
    public void setAttribute(Attribute attribute) {
        this.attribute = attribute;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ATTRIBUTESET_ID", nullable=false)
    public Attributeset getAttributeset() {
        return this.attributeset;
    }
    
    public void setAttributeset(Attributeset attributeset) {
        this.attributeset = attributeset;
    }

    
    @Column(name="LINENO")
    public Integer getLineno() {
        return this.lineno;
    }
    
    public void setLineno(Integer lineno) {
        this.lineno = lineno;
    }




}


